petsc-3.4.2 2013-07-02

# KSPSetNullSpace

Sets the null space of the operator

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetNullSpace(KSP ksp,MatNullSpace nullsp)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space object
| nullsp | - the null space of the operator

### See Also

KSPSetOperators(), MatNullSpaceCreate(), KSPGetNullSpace(), MatSetNullSpace()

Level:advanced
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html